AskDataQuestionAPI mirrors the erdo_ask_data_question MCP tool as a REST
endpoint.
curl --request POST \
--url https://api.erdo.ai/v1/ask \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"async": true,
"dataset_slugs": [
"<string>"
],
"images": [
{
"bucket_key": "<string>",
"height": 123,
"media_type": "<string>",
"width": 123
}
],
"question": "<string>",
"timezone": "<string>"
}
'import requests
url = "https://api.erdo.ai/v1/ask"
payload = {
"async": True,
"dataset_slugs": ["<string>"],
"images": [
{
"bucket_key": "<string>",
"height": 123,
"media_type": "<string>",
"width": 123
}
],
"question": "<string>",
"timezone": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
async: true,
dataset_slugs: ['<string>'],
images: [{bucket_key: '<string>', height: 123, media_type: '<string>', width: 123}],
question: '<string>',
timezone: '<string>'
})
};
fetch('https://api.erdo.ai/v1/ask', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"answer": "<string>",
"message": "<string>",
"status": "<string>",
"thread_id": "<string>"
}{
"code": "not_found",
"details": {},
"message": "<string>"
}API Reference
AskDataQuestionAPI mirrors the erdo_ask_data_question MCP tool as a REST endpoint.
POST
/
v1
/
ask
AskDataQuestionAPI mirrors the erdo_ask_data_question MCP tool as a REST
endpoint.
Authorizations
An Erdo API key (erdo_api_...) or scoped token (erdo_token_...).
Body
application/json
answer — use it for long operations (e.g. building a landing page) that would otherwise exceed the HTTP/edge timeout. Poll erdo_list_agent_runs / GET /v1/runs?thread_id=<thread_id> until the run is completed, then read its output.
Show child attributes
Show child attributes
GetArtifactAPI mirrors the erdo_get_artifact MCP tool.
ListAttentionItemsAPI mirrors erdo_list_attention_items.
⌘I

